# ChangeLog for media-libs/gd
# Copyright 1999-2005 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/gd/ChangeLog,v 1.29 2005/12/22 19:39:22 hansmi Exp $

  22 Dec 2005; Michael Hanselmann <hansmi@gentoo.org> gd-2.0.33.ebuild:
  Stable on ppc.

  21 Dec 2005; Marcus D. Hanwell <cryos@gentoo.org> gd-2.0.33.ebuild:
  Stable on amd64, bug 112937.

  21 Dec 2005; Gustavo Zacarias <gustavoz@gentoo.org> gd-2.0.33.ebuild:
  Stable on sparc wrt security #112937

  21 Dec 2005; Fernando J. Pereda <ferdy@gentoo.org> gd-2.0.33.ebuild:
  stable on alpha as per bug #112937

  21 Dec 2005; Mark Loeser <halcy0n@gentoo.org> gd-2.0.33.ebuild:
  Stable on x86; bug #112937

  21 Dec 2005; Markus Rothe <corsair@gentoo.org> gd-2.0.33.ebuild:
  Stable on ppc64; bug #112937

*gd-2.0.33 (21 Dec 2005)

  21 Dec 2005; Mike Frysinger <vapier@gentoo.org>
  +files/gd-2.0.33-overflow-checks.patch, +gd-2.0.33.ebuild:
  Add some sanity checks to prevent overflows #112937.

  13 Dec 2005; Donnie Berkholz <spyderous@gentoo.org>; gd-2.0.32.ebuild:
  Add modular X dependencies.

  20 Aug 2005; Mike Frysinger <vapier@gentoo.org> gd-2.0.32.ebuild:
  Add support for USE=fontconfig #79375 by Jung Tae-young.

  09 Feb 2005; Lina Pezzella <j4rg0n@gentoo.org> gd-2.0.28.ebuild,
  gd-2.0.32.ebuild:
  Stable ppc-macos

  31 Dec 2004; Lina Pezzella <j4rg0n@gentoo.org> gd-2.0.32.ebuild:
  Unstable ppc-macos.

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  05 Nov 2004; Hardave Riar <hardave@gentoo.org> gd-2.0.32.ebuild:
  Stable on mips, bug #69070.

*gd-2.0.32 (02 Nov 2004)

  02 Nov 2004; Mike Frysinger <vapier@gentoo.org>
  -files/1.8.4-dec-alpha-compiler.diff, -files/1.8.4-jpeg-inc.patch,
  -files/1.8.4-png-overflows.patch, -gd-1.8.4-r2.ebuild, -gd-2.0.31.ebuild,
  +gd-2.0.32.ebuild:
  Version bump to fix png compiling.

  02 Nov 2004; Markus Rothe <corsair@gentoo.org> gd-2.0.31.ebuild:
  Stable on ppc64, bug #69070

  02 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org> gd-2.0.31.ebuild:
  Stable amd64

  31 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/1.8.4-png-overflows.patch, gd-1.8.4-r2.ebuild:
  Backwards port png overflow fix from gd-2.x #69070.

*gd-2.0.31 (31 Oct 2004)

  31 Oct 2004; Mike Frysinger <vapier@gentoo.org>
  +files/2.0.31-png-check.patch, -gd-2.0.30.ebuild, +gd-2.0.31.ebuild:
  Version bump to fix png building #69611 by Tomasz Sterna.

  31 Oct 2004; Jason Wever <weeve@gentoo.org> gd-2.0.30.ebuild:
  Stable on sparc wrt securit bug #69070.

  31 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> gd-2.0.30.ebuild:
  Stable on alpha, bug 69070.

  31 Oct 2004; Michael Hanselmann <hansmi@gentoo.org> gd-1.8.4-r2.ebuild,
  gd-2.0.28.ebuild, gd-2.0.30.ebuild:
  Stable on ppc, updated to the new LICENSE-syntax.

*gd-2.0.30 (30 Oct 2004)

  30 Oct 2004; Mike Frysinger <vapier@gentoo.org> +gd-2.0.30.ebuild:
  Version bump for security and stuff #69070.

  08 Aug 2004; Bryan Østergaard <kloeri@gentoo.org> gd-2.0.26.ebuild:
  Stable on alpha.

*gd-2.0.28 (22 Jul 2004)

  22 Jul 2004; Mike Frysinger <vapier@gentoo.org> +gd-2.0.28.ebuild:
  Version bump.

  15 Jul 2004; Tom Gall <tgall@gentoo.org> gd-2.0.26.ebuild:
  stable on ppc64, bug #55549

*gd-2.0.26 (30 Jun 2004)
*gd-1.8.4-r2 (30 Jun 2004)

  30 Jun 2004; Mike Frysinger <vapier@gentoo.org> +metadata.xml,
  +files/1.8.4-dec-alpha-compiler.diff, +files/1.8.4-jpeg-inc.patch,
  +gd-1.8.4-r2.ebuild, +gd-2.0.23.ebuild, +gd-2.0.26.ebuild:
  Version bump and rename #55584 by Haroon Rafique.

  07 Jun 2004; Aron Griffis <agriffis@gentoo.org> libgd-1.8.4-r2.ebuild:
  Fix use invocation

  11 May 2004; Michael McCabe <randy@gentoo.org> libgd-2.0.23.ebuild:
  Added s390 keywords

*gd-2.0.23 (07 May 2004)

  07 May 2004; Mike Frysinger <vapier@gentoo.org> +libgd-2.0.23.ebuild:
  Version bump #50302 by Daniel Webert

  24 Mar 2004; Michael Sterrett <mr_bones_@gentoo.org> libgd-1.8.4-r2.ebuild:
  don't use deprecated ? : use syntax

  04 Mar 2004; Gustavo Zacarias <gustavoz@gentoo.org> libgd-2.0.22.ebuild:
  stable on sparc

  17 Feb 2004; Aron Griffis <agriffis@gentoo.org> libgd-2.0.22.ebuild:
  stable on alpha and ia64

  09 Feb 2004; <augustus@gentoo.org> libgd-2.0.22.ebuild:
  Added ~amd64 keyword.

*libgd-2.0.22 (02 Feb 2004)

  02 Feb 2004; Mike Frysinger <vapier@gentoo.org> :
  Version bump #40219 by Diego Garcia.

  24 Jan 2004; <gustavoz@gentoo.org> libgd-2.0.15-r1.ebuild:
  marked stable on sparc

  10 Jan 2004; <agriffis@gentoo.org> libgd-1.8.4-r2.ebuild:
  stable on ia64

*libgd-2.0.17-r1 (31 Dec 2003)

  31 Dec 2003; Mike Frysinger <vapier@gentoo.org> :
  Port the gif patch so as to not break some php installs.

*libgd-2.0.17 (27 Dec 2003)

  27 Dec 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bump + optionalize jpeg/png/xpm/freetype #36271.

*libgd-1.8.4-r2 (30 Jun 2003)

  24 Nov 2003; Aron Griffis <agriffis@gentoo.org> libgd-1.8.4-r2.ebuild:
  Stable on alpha

  02 Oct 2003; Mike Frysinger <vapier@gentoo.org> :
  Make jpeg support optional again and fix it so that it'll actually
  compile when jpeg is not present #23648.

  10 Jul 2003; Christian Birchinger <joker@gentoo.org> libgd-1.8.4-r2.ebuild:
  Added sparc stable keyword

  06 Jul 2003; Guy Martin <gmsoft@gentoo.org> libgd-1.8.4-r2.ebuild :
  Marked stable on hppa.

  30 Jun 2003; Daniel Ahlberg <aliz@gentoo.org> libgd-1.8.4-r2.ebuild :
  Force jpeg support or else analog fails to build if libgd is built without jpeg support.

*libgd-2.0.15-r1 (26 Jun 2003)

  26 Jun 2003; Mike Frysinger <vapier@gentoo.org> :
  mmm SLOT goodiness.

*libgd-2.0.15 (17 Jun 2003)

  17 Jun 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bumped + grab gif patch from orig site.

*libgd-2.0.12 (14 Apr 2003)

  14 Apr 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bumped + comment out gif patch till Nich can update.

*libgd-2.0.11-r1 (20 Mar 2003)

  20 Mar 2003; Graham Forest <vladimir@gentoo.org> libgd-2.0.11-r1.ebuild:
  Removed usage of pic USE flag

*libgd-2.0.11 (23 Feb 2003)

  20 Mar 2003; Guy Martin <gmsoft@gentoo.org> libgd-2.0.11.ebuild, libgd-1.8.4.ebuild : 
  Added ~hppa to KEYWORDS.

  23 Feb 2003; Nicholas Wourms <dragon@gentoo.org> libgd-2.0.11.ebuild files/gd-2.0.11-gif-support.patch.bz2 :
  Added patch for gif support when USE="gif".  Added ~arch keywords to
  correspond to the keywords from 1.8.4. This package also needed to be
  elibtoolized.  Also, this gd requires a modern libpng and freetype,
  otherwise output won't look right.  Changed dependancies to reflect
  this.

  23 Feb 2003; Mike Frysinger <vapier@gentoo.org> :
  Version bumpage.

*libgd-2.0.1 (09 Sep 2002)

  14 Sep 2002; <mcummings@gentoo.org> :
  bzip'd patch and moved to mirror

  09 Sep 2002; <mcummings@gentoo.org> :
  Fixes bugs with perl versions using gd; corrects a few compile options

*libgd-1.8.4-r1 (26 Jun 2003)

  26 Jun 2003; Mike Frysinger <vapier@gentoo.org> :
  Added local USE flag 'ttf' to determine whether user wants
  to use freetype-2.x (truetype) or freetype-1.x (ttf).  Since
  ttf is a local USE flag, we defer choice to ttf.

  26 Jun 2003; Mike Frysinger <vapier@gentoo.org> :
  mmm SLOT goodiness.

*libgd-1.8.4 (18 Feb 2003)

  24 May 2003; Tavis Ormandy <taviso@gentoo.org> libgd-1.8.3-r6.ebuild,
  libgd-1.8.4.ebuild, files/gd-1.8.3-dec-alpha-compiler.diff,
  files/gd-1.8.4-dec-alpha-compiler.diff:
  makring alpha, also ccc fixes.

  18 May 2003; Martin Holzer <mholzer@gentoo.org> libgd-1.8.3-r6.ebuild,
  libgd-1.8.4.ebuild:
  Added USE flags. Closes #21059.

  20 Mar 2003; Guy Martin <gmsoft@gentoo.org> libgd-1.8.3-r6.ebuild :
  Added hppa to KEYWORDS.

  18 Feb 2003; Robert Coie <rac@gentoo.org>; libgd-1.8.4.ebuild :
  Based off of 1.8.3-r6, changed library defines HAVE_JPEG and
  HAVE_PNG to HAVE_LIBJPEG and HAVE_LIBPNG to reflect upstream name
  changes.

*libgd-1.8.3-r6 (15 Jan 2003)
  
  07 Feb 2003; Brandon Low <lostlogic@gentoo.org>; libgd-1.8.3-r6.ebuild :
  Fix to work with userpriv properly.

  04 Feb 2003; Seemant Kulleen <seemant@gentoo.org> libgd-1.8.3-r6.ebuild :
  Removed dependency on sed-4 because it is buggy on ppc.  Switched to
  normal gnu-sed syntax. Closes bug #15022 by Rajiv Manglani
  <rajiv@gentoo.org>

  15 Jan 2003; Brandon Low <lostlogic@gentoo.org> libgd-1.8.3-r6.ebuild:
  Drop dependency on supersed, switch to >=sed-4.0.  This is unstable on the
  ppc pending the stability of sed-4 on the ppc.

*libgd-1.8.3-r5 (12 Apr 2002)

  22 Apr 2003; Brandon Low <lostlogic@gentoo.org> libgd-1.8.3-r5.ebuild:
  Change supersed dependencies

  22 Oct 2002; Seemant Kulleen <seemant@gentoo.org> libgd-1.8.3-r5.ebuid :
  jpeg, X, and truetype turned into USE dependent support.

  07 Aug 2002; Mark Guertin <gerk@gentoo.org> :
  Added ppc to keywords

  12 Apr 2002; Spider <spider@gentoo.org> libgd-1.8.3-r5.ebuild :
  Updating revision with new libpng

*libgd-1.8.3-r4 (03 Apr 2002)

  03 Apr 2002; Bruce A. Locke <blocke@shivan.org> libgd-1.8.3-r4.ebuild :
  Quick fix for glibc circular dependencies.

*libgd-1.8.3-r3 (27 Mar 2002)

  27 Mar 2002; Seemant Kulleen <seemant@gentoo.org> libgd-1.8.3-r3.ebuild :
  Updated ebuild to modern syntax, and ungzipped HTML docs.

*libgd-1.8.3-r2 (01 Feb 2002)

  01 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
